
set serveroutput on
set echo on

CREATE PROCEDURE demo_proc (
                 p_workload IN PLS_INTEGER
                 ) AS

   v_lh log_pkg.log_handle_rt;

BEGIN

   DBMS_APPLICATION_INFO.SET_MODULE('DEMO_PROC', TO_CHAR(p_workload));

   v_lh := log_pkg.start_log(1);

   log_pkg.log(v_lh, 'Opening logging message at level 1', 1);

   -- Intensive processing...
   FOR i in 1 .. p_workload LOOP
      log_pkg.log(v_lh, 'Logging at level 4 on iteration ' || i, 4);
      DBMS_LOCK.SLEEP(1);
   END LOOP;

   log_pkg.log(v_lh, 'Closing logging message at level 1', 1);

   log_pkg.end_log(v_lh);

END;
/

